// Table.h: CTable NX̃C^[tFCX
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TABLE_H__0BFC8EA0_B174_11D3_8D96_9682B7DA382D__INCLUDED_)
#define AFX_TABLE_H__0BFC8EA0_B174_11D3_8D96_9682B7DA382D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class POSITION
{
friend class CTable;
protected:
	POSITION(){n=0,next=prev=NULL;};
	virtual ~POSITION(){};
	long n;
	POSITION *next,*prev;
};

class CTable
{
public:
	CTable( short lenLV=18,short srockLV=-1 );
	virtual ~CTable();

	void AddData( unsigned char d );
	bool Find( long* adrs,long* len );
	void Move( long d ){cur=(cur+d)&0xfff;};
	unsigned char Get(){return data[cur];};
protected:
	short stockLV,lengthLV;

	long cur;
	long end;
	unsigned char data[4096];
	POSITION* find[256][256];
};

#endif // !defined(AFX_TABLE_H__0BFC8EA0_B174_11D3_8D96_9682B7DA382D__INCLUDED_)
